XARGS(1)

NAZWA
xargs - wykonaj polecenie z argumentami pobranymi ze standardowego wejścia

SKŁADNIA
xargs [-0prtx] [-e[eof-str]] [-i[replace-str]] [-l[max-lines]] [-n max-args] [-s max-chars] [-P max-procs] [--null] [--eof[=eof-str]] [--replace[=replace-str]] [--max-lines[=max-lines]] [--interactive] [--max-chars=max-chars] [--verbose] [--exit] [--max-procs=max-procs] [--max-args=max-args] [--no-run-if-empty] [--version] [--help] [polecenie [argumenty-początkowe]]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Ta strona opisuje wersję GNU programu xargs. xargs czyta ze standardowego wejścia listę argumentów rozdzielonych spacjami lub znakami nowej linii. Argumenty zawierające spacje mogą być ujęte w cudzysłowy. Następnie wykonywane jest polecenie (domyślnie /bin/echo) jeden lub więcej razy z argumentami-początkowymi, po których następują argumenty przeczytane ze standardowego wejścia. Puste linie ze standardowego wejścia są ignorowane.

xargs zwraca następujące kody wyjścia:
0 gdy polecenie zakończyło się sukcesem
123 jeżeli którekolwiek wywołanie polecenia zakończyło się z kodem wyjścia 1-125
124 jeżeli polecenie zakończyło się z kodem wyjścia 255
125 jeżeli polecenie zostało zakończone przez sygnał
126 jeżeli polecenie nie mogło być uruchomione
127 jeżeli polecenie nie zostało znalezione
1 jeżeli wystąpił inny błąd

  OPCJE

--null, -0
    Nazwy plików wejściowych są zakończone znakiem o kodzie zero zamiast spacją, a cudzysłowy i odwrotne ukośniki nie mają specjalnego znaczenia (wszystkie znaki są brane dosłownie). Łańcuch końca pliku jest traktowany jak każdy inny. Opcja jest użyteczna, gdy argumenty mogą zawierać białe znaki, cudzysłowy, apostrofy lub odwrotne ukośniki. Ta opcja może być użyta do pobrania argumentów od programu GNU find uruchomionego z opcją -print0.

--eof[=eof-str], -e[eof-str]
    Nadaje łańcuchowi końca pliku wartość eof-str. Jeżeli ciąg oznaczający koniec pliku pojawi się w jednej z linii wejściowych, reszta danych jest ignorowana. Jeżeli parametr eof-str nie zostanie podany, żaden ciąg nie jest interpretowany jako koniec pliku. Jeżeli opcja w ogóle nie zostanie podana, znakiem końca danych pliku "_".

--help
    Podaje wszystkie opcje programu xargs i kończy działanie.

--replace[=replace-str], -i[replace-str]
    Zastępuje wszystkie wystąpienia replace-str w początkowych_argumentach argumentami przeczytanym ze standardowego wejścia. Ponadto, niecytowane odstępy nie separują argumentów. Jeżeli nie podano parametru replace-str, jego domyślną wartością staje się "{}" (jak dla opcji -exec programu find). Automatycznie włączane są opcje -x oraz -l 1.

--max-lines[=max-lines], -l[max-lines]
    Używa co najwyżej max-lines niepustych linii danych wejściowych na każdy wiersz poleceń. Jeżeli nie podano parametru max-lines, jest on przyjmowany jako 1. Spacje na końcu linii powodują, że jest do niej dołączana następna linia. Automatycznie włączana jest opcja -x.

--max-args=max-args, -n max-args
    Używa co najwyżej max-args argumentów na każdy wiersz poleceń. Jeżeli przekroczona zostanie ilość znaków (patrz opcja -s), użytych zostanie mniej argumentów niż max-args, chyba że podana zostanie opcja -x. W takim wypadku działanie programu xargs zostanie zakończone.

--interactive, -p
    Prosi użytkownika o potwierdzenie przed uruchomieniem każdego wiersza poleceń i przeczytaniem danych z terminala. Uruchamia wiersz poleceń tylko wtedy, gdy odpowiedź zaczyna się od `y' lub `Y'. Automatycznie włącza opcję -t.

--no-run-if-empty, -r
    Jeżeli w danych ze standardowego wejścia nie znajdują się znaki inne niż spacje, polecenie nie jest uruchamiane. Normalnie polecenie jest uruchamiane jednorazowo, nawet gdy nie odczytano żadnych danych.

--max-chars=max-chars, -s max-chars
    Używa co najwyżej max-chars znaków na każdy wiersz poleceń, włącznie z poleceniem, argumentami początkowymi i znakami \0 (null) na końcu każdego wiersza poleceń. Domyślna wartość jest tak duża, jak to możliwe, do 20k znaków.

--verbose, -t
    Wiersz poleceń jest wypisywany na standardowe wyjście błędów przed wykonaniem polecenia.

--version
    Wypisuje numer wersji xargs i kończy działanie programu.

--exit, -x
    Kończy działanie programu, jeżeli przekroczona zostanie ilość znaków (patrz opcja -s).

--max-procs=max-procs, -P max-procs
    Uruchamia co najwyżej max-procs procesów za jednym razem; domyślną wartością jest 1. Jeżeli max-procs jest równe 0, xargs uruchomi tyle procesów, ile będzie to możliwe za jednym razem. Używaj opcji -n razem z -P; w przeciwnym razie jest możliwe, że uruchomiony zostanie tylko jeden dodatkowy proces.

ZOBACZ TAKŻE
find(1L), locate(1L), locatedb(5L), updatedb(1) Znajdowanie plików (w dokumentacji Info lub wydane w druku)

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 1 xargs

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.